Hacking changing the language

dewgong

Member
OP
Newcomer
Joined
Aug 3, 2007
Messages
18
Trophies
0
XP
111
Country
United States
i have a simplified chinese R4 and i really want to patch it to english
is there a program that lets me patch 1.14?
if so please post it here
I dont know if this has been posted a million times but thx in advance
 

dewgong

Member
OP
Newcomer
Joined
Aug 3, 2007
Messages
18
Trophies
0
XP
111
Country
United States

iritegood

Well-Known Member
Member
Joined
May 15, 2007
Messages
759
Trophies
0
Website
Visit site
XP
273
Country
United States
http://gbatemp.net/index.php?download=681

R4Crypt decrypts the dat file. the one you want to try is above.

Just ran it on the English 1.4 and told it to patch for Chinese Hardware, then it wouldn't load on my R4 so give it a try on yours LINKY


YAY!
it worked thx so much
how did u do it again?
put the english firmware in the patch and patch it to chinese?
or the other way around?
thx so much again!

Doesn't matter. Put in any R4/M3DSSimply firmware and it'll ask you what ways you want to patch it. For example: if you put in a chinese r4 firmware.

This was meant for use with an R4, do you want to patch it to use with a M3DSS? (y/n)

Do you want to patch this for use with English R4 (y/n)

^Not the exact text, but you get the idea.
 

iq_132

Well-Known Member
Member
Joined
Jun 14, 2006
Messages
148
Trophies
0
Age
38
Location
Kalamazoo, Michigan
Website
neosource.1emu.net
XP
239
Country
United States
Put the english in and patch it to chinese.
The most up-to-date patcher program can be found here.
http://neosource.1emu.net/forums/index.php?topic=728.0

I'm pretty sure with new R4s, it's impossible. But if it is possible you'll need to open it up and bridge a connection.

That's a stilly thing to say.
wink.gif
 

MadBob

Nostalgia ain't what it used to be!
Member
Joined
Nov 6, 2002
Messages
1,554
Trophies
0
Website
Visit site
XP
679
Country
Thanks, I take it you don't always need to update the info.dat to match the release number? only if anything changes drastically.

I noticed this version has a patch for "save file size check" does this stop the loader checking for 512k saves on loading or does it mean that it doesn't automatically create a 512k save file, but uses whatever the game/app saves as.
 

iq_132

Well-Known Member
Member
Joined
Jun 14, 2006
Messages
148
Trophies
0
Age
38
Location
Kalamazoo, Michigan
Website
neosource.1emu.net
XP
239
Country
United States
Thanks, I take it you don't always need to update the info.dat to match the release number? only if anything changes drastically.
Version previous to 1.13 had generic hardware checks (which are easy to find an patch), and non-generic checks (which is what the info.dat is for). Since 1.13 & 1.14 don't have the non-generic checks, the "detect settings" function works just fine and will allow you to patch the generic checks.

QUOTE said:
I noticed this version has a patch for "save file size check" does this stop the loader checking for 512k saves on loading or does it mean that it doesn't automatically create a 512k save file, but uses whatever the game/app saves as.
It allows you to use saves smaller than 512k. It will still create 512k saves if a save is not found.
 

iritegood

Well-Known Member
Member
Joined
May 15, 2007
Messages
759
Trophies
0
Website
Visit site
XP
273
Country
United States

MadBob

Nostalgia ain't what it used to be!
Member
Joined
Nov 6, 2002
Messages
1,554
Trophies
0
Website
Visit site
XP
679
Country
There doesn't seem to be a Japanese firmware, Trad/Simp Chinese or English/French/Korean are the choices.

If any of these are useful you can download the language version you need and patch it to run or simply run it on english hardware depending which version your download, the French Korean and English run straight off, the Chinese needs patching for the English hardware.

Just tried the Korean version and it ran without patching.
 

kikuchiyo

大阪に生まれた男
Member
Joined
Jan 6, 2004
Messages
688
Trophies
0
Age
38
Location
USA
Website
coin-battle.com
XP
422
Country
United States
There doesn't seem to be a Japanese firmware, Trad/Simp Chinese or English/French/Korean are the choices.

If any of these are useful you can download the language version you need and patch it to run or simply run it on english hardware depending which version your download, the French Korean and English run straight off, the Chinese needs patching for the English hardware.

Just tried the Korean version and it ran without patching.

Ah, that's what it seemed like from the site. I can't read Chinese or Korean so that doesn't help me. Oh well - I suppose the R4s sold here (you can even find it on amazon.co.jp, in addition to Akiba and [my favorite] Den Den Town) are English then. Thanks!!
 
General chit-chat
Help Users
  • No one is chatting at the moment.
    Panzer_Baboon @ Panzer_Baboon: Omg what happened?